// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#define _CRTDBG_MAP_ALLOC

#define SOURCELINE boost::str(boost::format("%1%:%2%") % __FILE__ % __LINE__)

#ifdef HAVE_CONFIG_H
#	include "pqt_config.h"
#endif

//#define _CRT_SECURE_NO_WARNINGS /* shut up msvc8! */

#if defined(_WIN32) || defined(_WIN64)
#	define _CRT_SECURE_NO_WARNINGS /* shut up msvc8! */
#	define _CRT_SECURE_NO_DEPRECATE
# pragma warning (disable : 4127 4706)
#	include <winsock2.h>
#	include <ws2tcpip.h> /* getnameinfo */
#	ifdef _MSC_VER
#		define I64FMT "%I64d"
#	else
#		define I64FMT "%lld"
#	endif
#else
#	define SIGNAL_SUPPORT
#	include <netdb.h>
#	include <unistd.h>
#	include <sys/socket.h>
#	include <netinet/in.h>
#	include <signal.h>
#	define I64FMT "%lld"
#endif

#include <boost/config.hpp>
#if defined(BOOST_MSVC)

# pragma warning(disable: 4786)  // identifier truncated in debug info
# pragma warning(disable: 4710)  // function not inlined
# pragma warning(disable: 4711)  // function selected for automatic inline expansion
# pragma warning(disable: 4514)  // unreferenced inline removed

#if (BOOST_MSVC >= 1310)
# pragma warning(disable: 4675)  // resolved overload found with Koenig lookup
#endif

#endif

#include <boost/scoped_ptr.hpp>
#include <boost/scoped_array.hpp>
#include <boost/shared_ptr.hpp>
#include <boost/shared_array.hpp>
#include <boost/bind.hpp>
#include <boost/format.hpp>
#include <boost/lexical_cast.hpp>
//#include <boost/detail/lightweight_test.hpp>

//#include <libpqtypes.h>

//#include "libpqtypes.h"

#include <iostream>
#include <stdlib.h>
#include <string>
#include <limits.h>
#include <ctype.h>
#include <time.h>
#include <stdarg.h>
#include <errno.h>

#include "libpq-fe.h"
#include "libpqtypesexp.h"
